aboutsummaryrefslogtreecommitdiff
path: root/etc/dev/brep
diff options
context:
space:
mode:
authorBoris Kolpackov <boris@codesynthesis.com>2015-12-08 13:45:08 +0200
committerBoris Kolpackov <boris@codesynthesis.com>2015-12-14 12:02:13 +0200
commite28ab8f48c891c03cf4b3a8ed88b98d38a561960 (patch)
tree0ae1dbb54e497fc797e5a73fcf3dd2dc487a5572 /etc/dev/brep
parenta31dfac365feef7838b01b1efd3fe058c89484d7 (diff)
Separate brep module configuration from Apache server configuration
Diffstat (limited to 'etc/dev/brep')
-rwxr-xr-xetc/dev/brep31
1 files changed, 31 insertions, 0 deletions
diff --git a/etc/dev/brep b/etc/dev/brep
new file mode 100755
index 0000000..3ec448b
--- /dev/null
+++ b/etc/dev/brep
@@ -0,0 +1,31 @@
+#!/bin/sh
+# file : etc/brep
+# copyright : Copyright (c) 2014-2015 Code Synthesis Ltd
+# license : MIT; see accompanying LICENSE file
+#
+# Designed to simplify controlling brep services.
+
+CMD="$1"
+SCRIPT_DIR=`dirname $0`
+
+case $CMD in
+ start|stop|status) ;;
+ *)
+ echo "Usage: brep (start|stop|status)"
+ exit 1
+ ;;
+esac
+
+case $CMD in
+ start)
+ $SCRIPT_DIR/pgctl start && $SCRIPT_DIR/apachectl start
+ ;;
+ stop)
+ $SCRIPT_DIR/apachectl stop
+ $SCRIPT_DIR/pgctl stop
+ ;;
+ status)
+ $SCRIPT_DIR/pgctl status
+ $SCRIPT_DIR/apachectl status
+ ;;
+esac